com.airbnb.android.react.maps

## Class AirMapPolyline

- java.lang.Object
- - ReactViewGroup
  - - com.airbnb.android.react.maps.AirMapFeature
    - - com.airbnb.android.react.maps.AirMapPolyline

    public class AirMapPolyline
    extends AirMapFeature

### Constructor Summary

Constructors
Constructor and Description
`AirMapPolyline(android.content.Context context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToMap(GoogleMap map)`
`java.lang.Object` `getFeature()`
`PolylineOptions` `getPolylineOptions()`
`void` `removeFromMap(GoogleMap map)`
`void` `setColor(int color)`
`void` `setCoordinates(ReadableArray coordinates)`
`void` `setGeodesic(boolean geodesic)`
`void` `setWidth(float width)`
`void` `setZIndex(float zIndex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AirMapPolyline

    public AirMapPolyline(android.content.Context context)

### Method Detail

#### setCoordinates

    public void setCoordinates(ReadableArray coordinates)

#### setColor

    public void setColor(int color)

#### setWidth

    public void setWidth(float width)

#### setZIndex

    public void setZIndex(float zIndex)

#### setGeodesic

    public void setGeodesic(boolean geodesic)

#### getPolylineOptions

    public PolylineOptions getPolylineOptions()

#### getFeature

    public java.lang.Object getFeature()

Specified by:
  `getFeature` in class `AirMapFeature`

#### addToMap

    public void addToMap(GoogleMap map)

Specified by:
  `addToMap` in class `AirMapFeature`

#### removeFromMap

    public void removeFromMap(GoogleMap map)

Specified by:
  `removeFromMap` in class `AirMapFeature`